### Hierarchy

- ShortcutJS

### Implemented by

- Shortcut

## Index

### Properties

- actions
- eventProcessor
- options

### Methods

- addAction
- cleanCombo
- init
- loadFromJson
- processEvent
- reset
- subscribe
- unsubscribe

## Properties

### actions

actions: Map<string, Action>

- Defined in shortcut.ts:26

### eventProcessor

eventProcessor: EventProcessor

- Defined in shortcut.ts:28

### options

options: Options

- Defined in shortcut.ts:27

## Methods

### addAction

- addAction(action: Action): void

- - Defined in shortcut.ts:32

  #### Parameters

  - ##### action: Action

  #### Returns void

### cleanCombo

- cleanCombo(): void

- - Defined in shortcut.ts:36

  #### Returns void

### init

- init(options?: IOptions): void

- - Defined in shortcut.ts:29

  #### Parameters

  - ##### Optional options: IOptions

  #### Returns void

### loadFromJson

- loadFromJson(json: any, options?: IOptions): void

- - Defined in shortcut.ts:31

  #### Parameters

  - ##### json: any

  - ##### Optional options: IOptions

  #### Returns void

### processEvent

- processEvent(ev: KeyboardEvent): void

- - Defined in shortcut.ts:35

  #### Parameters

  - ##### ev: KeyboardEvent

  #### Returns void

### reset

- reset(): void

- - Defined in shortcut.ts:30

  #### Returns void

### subscribe

- subscribe(actionName: string, cb: Function): void

- - Defined in shortcut.ts:33

  #### Parameters

  - ##### actionName: string

  - ##### cb: Function

  #### Returns void

### unsubscribe

- unsubscribe(actionName: string, cb?: Function): void

- - Defined in shortcut.ts:34

  #### Parameters

  - ##### actionName: string

  - ##### Optional cb: Function

  #### Returns void

Generated using TypeDoc